# CUpti_PCSamplingPCData Struct Reference
[CUPTI PC Sampling API]

PC Sampling data.

## Data Fields

uint64_t | cubinCrc
uint32_t | functionIndex
char * | functionName
uint32_t | pad
uint64_t | pcOffset
size_t | size
CUpti_PCSamplingStallReason * | stallReason
size_t | stallReasonCount

## Field Documentation

uint64_t CUpti_PCSamplingPCData::cubinCrc

[r] Unique cubin id

uint32_t CUpti_PCSamplingPCData::functionIndex

The function's unique symbol index in the module.

char* CUpti_PCSamplingPCData::functionName

[r] The function name. This name string might be shared across all the records including records from activity APIs representing the same function, and so it should not be modified or freed until post processing of all the records is done. Once done, it is user’s responsibility to free the memory using free() function.

uint32_t CUpti_PCSamplingPCData::pad

Padding

uint64_t CUpti_PCSamplingPCData::pcOffset

[r] PC offset

size_t CUpti_PCSamplingPCData::size

[w] Size of the data structure. CUPTI client should set the size of the structure. It will be used in CUPTI to check what fields are available in the structure. Used to preserve backward compatibility.

CUpti_PCSamplingStallReason* CUpti_PCSamplingPCData::stallReason

[r] Stall reason id Total samples

size_t CUpti_PCSamplingPCData::stallReasonCount

[r] Collected stall reason count